# Create project scenario `POST` `/api/v1/carve/projects/{project_id}/scenarios` Start a fresh scenario with the Carve agent ## Path parameters | Name | Type | Required | Description | |------|------|----------|-------------| | project_id | string | yes | — | ## Request body `application/json` | Field | Type | Required | Description | |-------|------|----------|-------------| | name | string | yes | Scenario name. | | description | string | no | Short and concise scenario description | ## Response `200 OK` — `application/json` | Field | Type | Description | |-------|------|-------------| | scenario_id | string | — | | project_id | string | — | | message | string | — | | intro_message | string | The Carve agent's opening message for the new scenario. | | carve_status | string | The new scenario's carve status. | ## Errors | Status | Description | |--------|-------------| | 403 | Forbidden | | 404 | Not Found | | 409 | Conflict | | 422 | Unprocessable Entity | | 500 | Internal Server Error | | 502 | Bad Gateway |